## com.thingmagic
Class SerialReader.TemperatureStatusReport

    java.lang.Object
      com.thingmagic.SerialReader.StatusReport
          com.thingmagic.SerialReader.TemperatureStatusReport

Enclosing class:
  SerialReader

    public static class SerialReader.TemperatureStatusReport

extends SerialReader.StatusReport

Constructor Summary
`SerialReader.TemperatureStatusReport()`

Method Summary
`int` `getTemperature()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerialReader.TemperatureStatusReport

    public SerialReader.TemperatureStatusReport()

Method Detail

### getTemperature

    public int getTemperature()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`